Bug 458 - Knotes does not keep font settings for the created notes after reboot
: Knotes does not keep font settings for the created notes after reboot
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 12:16 MSD by Denis Koryavov
Modified: 2012-07-24 11:00 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
orphans (191.16 KB, image/png)
2012-07-11 16:01 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Koryavov 2012-07-02 12:16:43 MSD
Description of problem:

Knotes does not keep font settings for created notes after reboot of applicaton. 

Version-Release number of selected component (if applicable):
knotes-4.8.3-1

How reproducible:
Always

Steps to Reproduce:
1. Open KNotes. 
2. Change default font for text. 
3. Type text. Close Knotes. 
4. Open KNotes and look at the text on the previously created note. The text will be shown in other font.
Comment 1 Sergey Borovkov 2012-07-11 13:26:43 MSD
Advisory:
Package knotes-4.8.3-2 fixes this bug. You can test it creating new notes after changing font. Then restart application. Every note will have font that was used to create it.

Buildlists:
https://abf.rosalinux.ru/build_lists/622135
https://abf.rosalinux.ru/build_lists/622134
Comment 2 Vladimir Potapov 2012-07-11 16:01:56 MSD
Created attachment 375 [details]
orphans

Let's solve this problem! She worried about users for a long time!
Comment 3 Sergey Borovkov 2012-07-11 16:58:05 MSD
(In reply to comment #2)
> Created attachment 375 [details]
> orphans
> 
> Let's solve this problem! She worried about users for a long time!

Hi. From what I understand this problem does not relate to my patch? May be you could create another bug for this problem?
Comment 4 Vladimir Potapov 2012-07-13 16:57:36 MSD
I add depend 518
Comment 5 Denis Koryavov 2012-07-23 11:04:47 MSD
This bug does not related to 518 absolutely. It should not depend on it, thus I've removed dependency.
Comment 6 Denis Koryavov 2012-07-23 11:11:10 MSD
Vladimir, please test a patch, we  will not fix all problems in one bug. We just want to fix this bug.
Comment 7 Vladimir Potapov 2012-07-23 16:04:21 MSD
knotes-4.8.3-2
************* Advisory ***************
Fix bug with keeping font settings in KNotes.
**************************************
QA Verified